package org.mini2Dx.injection.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marks a class as a
 * {@link <a href="http://en.wikipedia.org/wiki/Prototype_pattern">prototype</a>}
 *  bean. All prototype beans are backed by a pool of prepared instances that are
 * removed from the pool when the bean is requested. Removed instances are then
 * replaced with new instances generated by another thread.
 * 
 * @author Thomas Cashman
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Prototype {
}
